Skip to navigation

DeactivatePhoneNumber

View as Markdown

Deactivates the phone number.

Allowed roles: Owner.

Example request: Deactivate the phone 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

phone_idlist of integersOptional

The phone ID list separated by semicolons (;). Use the 'all' value to select all phone ids. Required unless phone_number is provided.

phone_numberlist of stringsOptional

The phone number list separated by semicolons (;). Required unless phone_id is provided.

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully